/*********************************************
Project : Commande de la parabole
Version : 1
Mise  jour: 28/10/2010
Author  : Philippe Mariano
Company : LYCEE Pierre Emile MARTIN
Comments: Commande combinatoire des deux sens
de rotation de l'antenne
Cible : Systme antenne parabolique
Chip type           : ATMEGA8535
Clock frequency     : 8,000000 MHz
Memory model        : Small
Internal SRAM size  : 512
External SRAM size  : 0
Data Stack size     : 128
*********************************************/

#include <mega8535.h>
// =====================================================================================================
// Programme principal
// =====================================================================================================
void main(void)
// =====================================================================================================
{
//-------------------------------------------------------------------------------------------------------
// Declare your local variables here
//-------------------------------------------------------------------------------------------------------
// type 	nom              				Description
//-------------------------------------------------------------------------------------------------------
unsigned char BP, Moteur;                  // Variables en entre et en sortie de l'algorithme
//-------------------------------------------------------------------------------------------------------
// Configuration du Port A en entre
//-------------------------------------------------------------------------------------------------------
DDRA=  ? ;        		 					                // <--  complter
//-------------------------------------------------------------------------------------------------------
// Configuration du port C en sortie
//-------------------------------------------------------------------------------------------------------
DDRC=  ?; 				       				                // <--  complter
// =====================================================================================================
// Boucle principale
// =====================================================================================================
while (1)
      {
//-------------------------------------------------------------------------------------------------------
// Lecture des entres
//-------------------------------------------------------------------------------------------------------
       BP = PINA & 0x06; 	// Lecture du port A et masquage
//-------------------------------------------------------------------------------------------------------
// Traitement
//-------------------------------------------------------------------------------------------------------
       if (BP==2) Moteur = 2;
                 else if ((BP==?) || (BP==?)) Moteur = ?;	// <--  complter
                 			      else Moteur = ?;          // <--  complter
//-------------------------------------------------------------------------------------------------------
// Ecriture des sorties
//-------------------------------------------------------------------------------------------------------
       PORTC=??????;						                // <--  complter (Ecriture sur le port C)
      }; // Fin du while
//-------------------------------------------------------------------------------------------------------
} // Fin du programme
// =====================================================================================================
